Bug 9024 - samba 4.0.0beta3 can't be built, if --disable-ntdb is given during configure
samba 4.0.0beta3 can't be built, if --disable-ntdb is given during configure
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
4.0 beta3
All All
: P5 normal
: ---
Assigned To: Rusty Russell
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 11:25 UTC by Torsten Kurbad
Modified: 2012-11-16 02:25 UTC (History)
0 users

See Also:


Attachments
samba-4.0.0_beta3-disable-ntdb.patch (4.22 KB, patch)
2012-07-03 13:42 UTC, Torsten Kurbad
no flags Details
Patch to fix --disable-ntdb (1.81 KB, patch)
2012-07-04 04:21 UTC, Rusty Russell
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Torsten Kurbad 2012-07-03 11:25:53 UTC
Hi,

in an effort to get an ebuild for samba-4.0.0beta3 in Gentoo's portage tree, I try to make use of system libraries, whereever viable.

To share libraries accross the whole system is common practice for most Linux distributions. Gentoo's policy in this area is very strict, thus shipping private libraries should be avoided at all cost.

Since there is no tarball release of ntdb available atm, I tried to configure with:

  --disable-ntdb

However, the result at the end of the configure phase looks like this:

[...]
symlink: samba_dnsupdate -> ./samba_dnsupdate
symlink: samba_spnupdate -> ./samba_spnupdate
symlink: samba_kcc -> ./samba_kcc
symlink: upgradeprovision -> ./upgradeprovision
symlink: samba_upgradedns -> ./samba_upgradedns
Checking project rules ...
Unknown dependency 'ntdb' in 'util_ntdb.objlist'
 * ERROR: net-fs/samba-4.0.0_beta3 failed (compile phase):
 *   build failed

So, obviously, ntdb is't completely disabled by the above configure switch.

Could someone with more insight please have a look at it?

Thanks in advance
Torsten
Comment 1 Torsten Kurbad 2012-07-03 13:42:45 UTC
Created attachment 7686 [details]
samba-4.0.0_beta3-disable-ntdb.patch

Proposed patch to make --disable-ntdb work.
Comment 2 Rusty Russell 2012-07-04 04:21:55 UTC
Created attachment 7688 [details]
Patch to fix --disable-ntdb

This is what I just pushed to the autobuilder.
Comment 3 Torsten Kurbad 2012-07-04 06:33:28 UTC
(In reply to comment #2)
> This is what I just pushed to the autobuilder.

Thanks, Rusty, your patch works for me.
Comment 4 Andrew Bartlett 2012-11-16 02:25:41 UTC
Mark as fixed based on comments